/**
 * Copyright (c) 2013-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.launcher.util;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLStreamHandler;

/**
 * A {@link URLStreamHandler} handling resources on the classpath of the current
 * thread.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ClasspathUrlStreamHandler extends URLStreamHandler {

    @Override
    protected URLConnection openConnection(final URL url) throws IOException {
        final URL resourceUrl = Thread.currentThread().getContextClassLoader()
                .getResource(url.getPath());
        return resourceUrl.openConnection();
    }

}
